@import "./variables";

body {
  background-color: #0e0e0e;
  display: flex;
  height: 100vh;
  margin: 0;

  // Simula el layout de móvil
  #layout-container {
    width: $layoutW;
    height: $layoutH;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    overflow: hidden;
    border-radius: 2rem;
    border: 0.25rem solid #0e0e0e;
    outline: 0.75rem solid #cfcfcf;

    // No podemos utilizar la propiedad background-img para simular la animación de scroll, usaremos un elemento img.
    img {
      position: absolute;
      height: 100%;
      top: 0;
      left: 50%;
      transform: translateX(-50%);
      z-index: -1;
      transition: 0.75s ease-in-out height;
    }

    // Despliega div de eventos
    &.show {
      .fixed {
        top: 80px;

        .content_toggle > button:before {
          transform: translate(50%, -50%) rotate(-135deg);
        }
      }

      // Animación fondo
      img {
        height: 50%;
      }
    }

    // Cabecera
    .header {
      &_mobile,
      &_browser {
        @include flex-center;
        justify-content: space-between;
        height: 40px;
        padding: 0 1.5rem;
      }

      &_browser {
        button {
          border: none;
          height: 35px;
          width: 35px;
          background-repeat: no-repeat;
          background-position: center;
          background-color: white;
          border-radius: 10px;
          cursor: pointer;
        }
        &-back {
          background-image: url("../assets/icons/icon_back.svg");
          background-size: 32px;
        }
        &-info {
          background-image: url("../assets/icons/icon_info.svg");
          background-size: 26px;
        }
        &-share {
          background-image: url("../assets/icons/icon_share.svg");
          background-size: 26px;
        }
        span {
          font-weight: 600;
          letter-spacing: 0.5px;
        }
      }
    }

    // Eventos del usuario
    .events {
      padding: 1.5rem;

      > div {
        margin-bottom: 1rem;
      }
    }

    // Eventos disponibles
    .fixed {
      background: white;
      border-top-right-radius: 2rem;
      border-top-left-radius: 2rem;
      position: fixed;
      top: calc(
        $layoutH - 40px
      ); // Mostramos la parte superior (40px) con el botón de desplegar
      height: calc(
        $layoutH - 80px
      ); // El alto del div será el total de la screen menos la cabecera
      width: 100%;
      transition: 0.75s ease-in-out top;

      &_layout {
        padding: 0.5rem 1rem 1rem 1rem;
        height: 100%;

        & .content {
          // Botón de desplegar u ocultar los eventos.
          &_toggle {
            text-align: center;
            > button {
              position: relative;
              cursor: pointer;
              padding: 1rem;
              background: none;
              border: none;

              &:before {
                content: "";
                position: absolute;
                right: 16px;
                top: 20px;
                border-left: 3px solid #494949;
                border-top: 3px solid #494949;
                width: 15px;
                height: 15px;
                transform: translate(50%, -50%) rotate(45deg);
                transition: 0.5s ease-in-out all;
              }
            }
          }

          // Contenedor de los eventos que permitirá hacer scroll.
          &_scrollable {
            overflow: scroll;
            height: 100%;
            margin-top: 1.25rem;
            &::-webkit-scrollbar {
              display: none;
            }
          }

          &_title {
            margin-bottom: 1.25rem;
            text-align: center;

            > span {
              font-size: 18px;
              font-weight: bold;
              color: #3a3a3a;
            }
          }

          &_card {
            border-radius: 1.75rem;
            padding: 1rem;
            margin-bottom: 1.25rem;
            min-height: 145px;
            display: flex;
            justify-content: space-between;
            flex-direction: column;
            cursor: pointer;
            // Ponemos una imagen por defecto, que se sustituirá inline en la plantilla.
            background-image: url("../assets/images/main_background.jpg");
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;

            span {
              color: white;
            }

            // Tarjeta de cada evento
            .card {
              &_date {
                background: white;
                max-width: 35px;
                border-radius: 0.5rem;
                padding: 0.25rem;
                text-align: center;
                border-radius: 0.5rem;
                padding: 0.25rem;
                text-align: center;
                align-self: flex-end;

                &-day {
                  color: #3a3a3a;
                  font-weight: 800;
                  font-size: 18px;
                }

                &-month {
                  color: #3a3a3a;
                  font-size: 14px;
                }
              }
              &_info {
                display: flex;
                flex-direction: column;
                mix-blend-mode: difference;

                &-title {
                  font-weight: 800;
                  font-size: 16px;
                  margin-bottom: 0.25rem;
                }
                &-schedule {
                  font-size: 14px;
                }
              }
            }
            &:last-of-type {
              margin-bottom: 80px;
            }
          }
        }
      }
    }
  }
}
